Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.tapestry5.ioc.annotations
Enum AnnotationUseContext

    java.lang.Object
      java.lang.Enum<AnnotationUseContext>
          org.apache.tapestry5.ioc.annotations.AnnotationUseContext

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AnnotationUseContext>

    public enum AnnotationUseContext

extends java.lang.Enum<AnnotationUseContext>

Constants for documenting the context wherein the tapestry-provided annotations may be used, in conjunction with `UseWith`.

Since:
  5.2.0.0

Enum Constant Summary
`BEAN` Annotation may be used on/in arbitrary java beans.
`COMPONENT` Annotation may be used on/in component classes
`MIXIN` Annotation may be used on/in mixins
`MODULE` Annotation may be used on modules
`PAGE` Annotation may be used on/in page classes
`SERVICE` Annotation may be used on/in services
`SERVICE_DECORATOR` Annotation may be used for service decorators

Method Summary
`static AnnotationUseContext` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AnnotationUseContext[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COMPONENT

    public static final AnnotationUseContext COMPONENT

  Annotation may be used on/in component classes

### MIXIN

    public static final AnnotationUseContext MIXIN

  Annotation may be used on/in mixins

### MODULE

    public static final AnnotationUseContext MODULE

  Annotation may be used on modules

### PAGE

    public static final AnnotationUseContext PAGE

  Annotation may be used on/in page classes

### SERVICE

    public static final AnnotationUseContext SERVICE

  Annotation may be used on/in services

### SERVICE_DECORATOR

    public static final AnnotationUseContext SERVICE_DECORATOR

  Annotation may be used for service decorators

### BEAN

    public static final AnnotationUseContext BEAN

  Annotation may be used on/in arbitrary java beans.

Method Detail

### values

    public static final AnnotationUseContext[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(AnnotationUseContext c : AnnotationUseContext.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static AnnotationUseContext valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2012 The Apache Software Foundation.